package pw.linkr.bukkit.seeya.uuid;

import org.bukkit.entity.Player;
import org.json.simple.parser.JSONParser;

public class UUIDGetter {

	private static JSONParser jsonParser = new JSONParser();

	/**
	 * Get a players uuid
	 * @return the uuid
	 */
	public static String getUUID(Player player){
		return player.getUniqueId().toString().replace("-", "");
	}

	/**
	 * Get a players uuid (from a string)<br>
	 * Hits <a href="http://uuid.imnjb.me">uuid.imnjb.me</a> instead of mojang.
	 * @return the uuid or null (if not found)
	 */
	public static String getUUID(String player){
		try {
			return new LookupUUID(jsonParser, player).call();
		} catch(Exception e) {
		}
		return null;
	}

}
